Bug 1314560 - pyanaconda.nm.UnknownMethodGetError: UnknownMethodGetError()
pyanaconda.nm.UnknownMethodGetError: UnknownMethodGetError()
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:eeef6cedf16098bfd3fc99c8e8c...
:
: 1314562 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 17:49 EST by Filip Frackiewicz
Modified: 2016-12-20 14:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:13:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (505.98 KB, text/plain)
2016-03-03 17:49 EST, Filip Frackiewicz
no flags Details
File: anaconda.log (22.19 KB, text/plain)
2016-03-03 17:49 EST, Filip Frackiewicz
no flags Details
File: environ (616 bytes, text/plain)
2016-03-03 17:49 EST, Filip Frackiewicz
no flags Details
File: journalctl (243.93 KB, text/plain)
2016-03-03 17:49 EST, Filip Frackiewicz
no flags Details
File: lsblk_output (2.83 KB, text/plain)
2016-03-03 17:49 EST, Filip Frackiewicz
no flags Details
File: nmcli_dev_list (1.54 KB, text/plain)
2016-03-03 17:49 EST, Filip Frackiewicz
no flags Details
File: os_info (451 bytes, text/plain)
2016-03-03 17:49 EST, Filip Frackiewicz
no flags Details
File: program.log (51.18 KB, text/plain)
2016-03-03 17:49 EST, Filip Frackiewicz
no flags Details
File: storage.log (157.67 KB, text/plain)
2016-03-03 17:49 EST, Filip Frackiewicz
no flags Details
File: ifcfg.log (2.58 KB, text/plain)
2016-03-03 17:49 EST, Filip Frackiewicz
no flags Details

  None (edit)
Description Filip Frackiewicz 2016-03-03 17:49:31 EST
Description of problem:
I clicked on "Install to Hard Drive" in Fedora Live. 

I then asked the Anaconda installer to make additional space available on a disk I wanted to install Fedora 23 to.

After clicking "Reclaim space" I received a crash and a prompt ro file this bug report.

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/nm.py", line 128, in _get_property
    raise UnknownMethodGetError
  File "/usr/lib64/python3.4/site-packages/pyanaconda/nm.py", line 215, in nm_activated_devices
    iface = _get_property(device, "IpInterface", ".Device")
  File "/usr/lib64/python3.4/site-packages/pyanaconda/network.py", line 1383, in status_message
    active_devs = nm.nm_activated_devices()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/network.py", line 1491, in status
    return network.status_message()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 216, in _updateCompleteness
    spoke.selector.set_property("status", spoke.status)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 407, in spoke_done
    self._updateCompleteness(sp, update_continue=False)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/__init__.py", line 76, in on_back_clicked
    self.main_window.current_action.spoke_done(self)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 996, in on_back_clicked
    NormalSpoke.on_back_clicked(self, button)
pyanaconda.nm.UnknownMethodGetError: UnknownMethodGetError()

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Cinnamon-x86_64-23-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Filip Frackiewicz 2016-03-03 17:49:37 EST
Created attachment 1132932 [details]
File: anaconda-tb
Comment 2 Filip Frackiewicz 2016-03-03 17:49:39 EST
Created attachment 1132933 [details]
File: anaconda.log
Comment 3 Filip Frackiewicz 2016-03-03 17:49:40 EST
Created attachment 1132934 [details]
File: environ
Comment 4 Filip Frackiewicz 2016-03-03 17:49:43 EST
Created attachment 1132935 [details]
File: journalctl
Comment 5 Filip Frackiewicz 2016-03-03 17:49:45 EST
Created attachment 1132936 [details]
File: lsblk_output
Comment 6 Filip Frackiewicz 2016-03-03 17:49:46 EST
Created attachment 1132937 [details]
File: nmcli_dev_list
Comment 7 Filip Frackiewicz 2016-03-03 17:49:48 EST
Created attachment 1132938 [details]
File: os_info
Comment 8 Filip Frackiewicz 2016-03-03 17:49:50 EST
Created attachment 1132939 [details]
File: program.log
Comment 9 Filip Frackiewicz 2016-03-03 17:49:53 EST
Created attachment 1132940 [details]
File: storage.log
Comment 10 Filip Frackiewicz 2016-03-03 17:49:54 EST
Created attachment 1132941 [details]
File: ifcfg.log
Comment 11 David Shea 2016-03-04 09:26:27 EST
*** Bug 1314562 has been marked as a duplicate of this bug. ***
Comment 12 Fedora End Of Life 2016-11-24 10:55:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2016-12-20 14:13:41 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.